# GESOverlayClip

Overlays are objects which modify the underlying layer(s).

Examples of overlays include text, image watermarks, or audio dubbing.

Transitions, which change from one source to another over time, are not considered overlays.

## GESOverlayClip

    GObject
        ╰──GInitiallyUnowned
            ╰──GESTimelineElement
                ╰──GESContainer
                    ╰──GESClip
                        ╰──GESOperationClip
                            ╰──GESOverlayClip
                                ╰──GESTextOverlayClip

### Class structure

#### GESOverlayClipClass

##### Fields

`parent_class` (GESOperationClipClass) –

parent class

### GES.OverlayClipClass

##### Attributes

`parent_class` (GES.OperationClipClass) –

parent class

### GES.OverlayClipClass

##### Attributes

`parent_class` (GES.OperationClipClass) –

parent class

## GES.OverlayClip

    GObject.Object
        ╰──GObject.InitiallyUnowned
            ╰──GES.TimelineElement
                ╰──GES.Container
                    ╰──GES.Clip
                        ╰──GES.OperationClip
                            ╰──GES.OverlayClip
                                ╰──GES.TextOverlayClip

## GES.OverlayClip

    GObject.Object
        ╰──GObject.InitiallyUnowned
            ╰──GES.TimelineElement
                ╰──GES.Container
                    ╰──GES.Clip
                        ╰──GES.OperationClip
                            ╰──GES.OverlayClip
                                ╰──GES.TextOverlayClip

## Constants

### GES_TYPE_OVERLAY_CLIP

    #define GES_TYPE_OVERLAY_CLIP ges_overlay_clip_get_type()

The results of the search are